﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using System.Drawing.Printing;
using System.Collections;

namespace WindowsFormsApplication75
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            foreach (var day in ultraCalendarInfo1.DaysOfWeek)
            {
                if (day.IsWorkDay)
                    day.WorkDayEndTime = new DateTime(2001, 1, 1, 22, 0, 0);
            }
            
            ultraSchedulePrintDocument1.CalendarInfo = ultraCalendarInfo1;

            ultraSchedulePrintDocument1.TemplateDayView = ultraDayView1;

            ultraSchedulePrintDocument1.CalendarLook = ultraCalendarLook1;

            ultraSchedulePrintDocument1.DefaultPageSettings.Landscape = true;

            ultraSchedulePrintDocument1.ExcludeNonWorkingDays = false;

            ultraSchedulePrintDocument1.PrintStyle = SchedulePrintStyle.Daily;
            ultraSchedulePrintDocument1.PrintRange = SchedulePrintRange.SpecifiedDateRange;

            ultraDayView1.CalendarInfo.SelectedDateRanges.Add(DateTime.Today, DateTime.Today.AddDays(5));

            ultraSchedulePrintDocument1.StartDate = ultraDayView1.CalendarInfo.SelectedDateRanges[0].StartDate;

            ultraSchedulePrintDocument1.EndDate = ultraDayView1.CalendarInfo.SelectedDateRanges[0].EndDate;

            ultraPrintPreviewDialog1.Document = ultraSchedulePrintDocument1;

            ultraPrintPreviewDialog1.Show();
        }

        private void ultraSchedulePrintDocument1_InitializeDayView(object sender, Infragistics.Win.UltraWinSchedule.Printing.InitializeDayViewEventArgs e)
        {
        }
    }
}